# gio.DataOutputStream

Data Output Stream

## Synopsis

gio.DataOutputStream
gio.BufferedOutputStream
gio.DataOutputStream
base_stream
get_byte_order
put_byte
cancellable
None
put_int16
cancellable
None
put_int32
cancellable
None
put_int64
cancellable
None
put_string
cancellable
None
put_uint16
cancellable
None
put_uint32
cancellable
None
put_uint64
cancellable
None
set_byte_order
order

## Ancestry

    +-- gobject.GObject
      +-- gio.OutputStream
        +-- gio.FilterOutputStream
          +-- gio.BufferedOutputStream
            +-- gio.DataOutputStream

## gio.DataOutputStream Properties

> "byte-order" | Read - Write | Determines the byte ordering that is used when writing multi-byte entities (such as integers) to the stream. Default value: gio.DATA_STREAM_BYTE_ORDER_BIG_ENDIAN.

## Description

`gio.DataOutputStream` implements `gio.InputStream` and includes functions for writing data directly to an output stream.

## Constructor

                gio.DataOutputStream
                base_stream

`base_stream` :

  a `gio.OutputStream`.

Returns :

  a new `gio.DataOutputStream`

Creates a new `gio.DataOutputStream` from the given base_stream.

## Methods

### gio.DataOutputStream.get_byte_order

                    get_byte_order

Returns :

  the stream's current .

The `get_byte_order`() method gets the byte order for the stream.

### gio.DataOutputStream.put_byte

                    put_byte
                    data
                    cancellableNone

`data` :

  a char.

`cancellable` :

  optional `gio.Cancellable` object, `None` to ignore.

Returns :

  `True` if data was successfully added to the stream.

The `put_byte`() method puts a byte into the output stream.

If cancellable is not `None`, then the operation can be cancelled by triggering the cancellable object from another thread. If the operation was cancelled, the error gio.ERROR_CANCELLED will be returned.

### gio.DataOutputStream.put_int16

                    put_int16
                    data
                    cancellableNone

`data` :

  a gint16.

`cancellable` :

  optional `gio.Cancellable` object, `None` to ignore.

Returns :

  `True` if data was successfully added to the stream.

The `put_int16`() method puts a signed 16-bit integer into the output stream.

If cancellable is not `None`, then the operation can be cancelled by triggering the cancellable object from another thread. If the operation was cancelled, the error gio.ERROR_CANCELLED will be returned.

### gio.DataOutputStream.put_int32

                    put_int32
                    data
                    cancellableNone

`data` :

  a gint32.

`cancellable` :

  optional `gio.Cancellable` object, `None` to ignore.

Returns :

  `True` if data was successfully added to the stream.

The `put_int32`() method puts a signed 32-bit integer into the output stream.

If cancellable is not `None`, then the operation can be cancelled by triggering the cancellable object from another thread. If the operation was cancelled, the error gio.ERROR_CANCELLED will be returned.

### gio.DataOutputStream.put_int64

                    put_int64
                    data
                    cancellableNone

`data` :

  a gint64.

`cancellable` :

  optional `gio.Cancellable` object, `None` to ignore.

Returns :

  `True` if data was successfully added to the stream.

The `put_int64`() method puts a signed 64-bit integer into the output stream.

If cancellable is not `None`, then the operation can be cancelled by triggering the cancellable object from another thread. If the operation was cancelled, the error gio.ERROR_CANCELLED will be returned.

### gio.DataOutputStream.put_string

                    put_string
                    str
                    cancellableNone

`str` :

  a string.

`cancellable` :

  optional `gio.Cancellable` object, `None` to ignore.

Returns :

  `True` if string was successfully added to the stream.

The `put_string`() method puts a string into the output stream.

If cancellable is not `None`, then the operation can be cancelled by triggering the cancellable object from another thread. If the operation was cancelled, the error gio.ERROR_CANCELLED will be returned.

### gio.DataOutputStream.put_uint16

                    put_uint16
                    data
                    cancellableNone

`data` :

  a guint16.

`cancellable` :

  optional `gio.Cancellable` object, `None` to ignore.

Returns :

  `True` if data was successfully added to the stream.

The `put_uint16`() method puts an unsigned 16-bit integer into the output stream.

If cancellable is not `None`, then the operation can be cancelled by triggering the cancellable object from another thread. If the operation was cancelled, the error gio.ERROR_CANCELLED will be returned.

### gio.DataOutputStream.put_uint32

                    put_uint32
                    data
                    cancellableNone

`data` :

  a guint32.

`cancellable` :

  optional `gio.Cancellable` object, `None` to ignore.

Returns :

  `True` if data was successfully added to the stream.

The `put_uint32`() method puts an unsigned 32-bit integer into the output stream.

If cancellable is not `None`, then the operation can be cancelled by triggering the cancellable object from another thread. If the operation was cancelled, the error gio.ERROR_CANCELLED will be returned.

### gio.DataOutputStream.put_uint64

                    put_uint64
                    data
                    cancellableNone

`data` :

  a guint64.

`cancellable` :

  optional `gio.Cancellable` object, `None` to ignore.

Returns :

  `True` if data was successfully added to the stream.

The `put_uint64`() method puts an unsigned 64-bit integer into the output stream.

If cancellable is not `None`, then the operation can be cancelled by triggering the cancellable object from another thread. If the operation was cancelled, the error gio.ERROR_CANCELLED will be returned.

### gio.DataOutputStream.set_byte_order

                    set_byte_order
                    order

`order` :

  a to set.

The `set_byte_order`() method sets the byte order for the given stream. All subsequent reads from the stream will be read in the given order.